What is PopMan?

PopMan is a POP3 and IMAP4 manager. It can be used to list all e-mails received on your incoming mail server (POP3 and IMAP4 server), without having to load these mails completely. Unwanted e-mails can be deleted directly from the server.

You can use PopMan to check your e-mail accounts in the background. When new e-mails arrive, you will be notified.

To show you whether e-mails contain useful information, or whether they are just spam, PopMan provides a preview functionality. You can use this preview pane to read the text-based content of your e-mails – whether they are plain text or HTML.

In contrast to most e-mail programs, reading mail with PopMan is absolutely secure. There is no threat of executing dangerous code or being infected with viruses.

You can direct PopMan to use local storage (settings are saved to an *.ini file), and save it to a floppy disk or USB memory stick. This means you can check your mail on any computer with internet access.


Why use PopMan?

PopMan offers you features that are missing in most e-mail clients:

  • List e-mails waiting on your server
    See the e-mails waiting on your incoming mail server and decide whether you want to download them to your computer.

  • Delete unwanted e-mails
    Unwanted e-mails (mass mailing and other spam) can be deleted directly from the server, without having to download them at first. You can define rules to automatically delete messages based on their content.

  • Check e-mail accounts in the background
    You can have PopMan run in the background and check your accounts at regular intervals. When new mail arrives, you will be notified immediately.

  • Secure viewing of e-mail messages
    You can examine the content of your e-mails without the danger of potential viruses, ActiveX controls, or JavaScript code. HTML-formatted messages are not interpreted or executed - PopMan simply extracts and displays the text with information.

  • Selective downloading of e-mails
    You can download any e-mail you choose without depending upon other e-mail clients.


What's new in this release?

New and improved features:

  • IMAP4 and POP3 SSL support
    These mail protocols are provided with the help of the new protocol plugin interface. Plugins are DLLs copied into the PopMan plugins directory for extending functionality.

  • Multi-Tabbing
    You can have a separate tab with listview for each account or combine several accounts to one tab. For example, you can create one tab for your work email, a second tab for your private email accounts and another tab for seldom used email accounts.

  • Theming
    You can customize all icons/cursors used with PopMan including the toolbar bitmap. A theme is a set of *.ico, *.cur, *.bmp files in a folder below the PopMan sub folder Themes.

  • Rules
    Create rules to identify and handle messages according to your criteria (e.g. subject contains certain words). If a messages applies to a rule, you can mark the message for delete, prevent it from notification, play a sound and more.

  • Black List
    You can maintain a list of email addresses and domains that you don't want to get any more emails from. There is a "Block sender" context menu item in the message view, so you can quickly add the sender of unwanted mail to the Black list.

  • White List
    You can maintain a list of trusted email addresses and domains that you don't want to delete automatically (neither by Black List nor by Rules). There is a "Trust sender" context menu item in the message view, so you can quickly add the sender of mail to the White list.


Set up Accounts

Before you can start using PopMan, you have to set up your email accounts first. For that purpose, you can use the import wizard (Tools | Import accounts...), which provides a list of all Outlook Express email accounts found on your computer.

But you can also set up as many accounts as you like manually. To do so, select the menu command File | Accounts... or click the corresponding button on the toolbar.

The following dialog appears, which gives an overview of your accounts. There you can add, modify or remove accounts:

Click the Add button.

Another dialog appears, where you have to provide all necessary information:

Account name: How would you like to call this account? Example: "Work" or "Private".

Protocol: The mail protocol for retrieving emails (usually POP3 but IMAP4 is also supported).

Server: The address of the incoming mail server of your email provider.

Port: The port number of the email service. It depends on the protocol, e.g. POP3 uses Port 110, IMAP4 uses Port 143.

User name: The user name of you email account. Usually equal to your email address.

Password: The password belonging to your account (asterisks are displayed instead of letters!). If you don't enter the password here, you will be prompted for it whenever it is needed.

Include this account when receiving mail: Specifies whether this account is active or not.

Color options:

Use individual font color: Specifies the font color used to display emails of this account in the main window's listview.

Circle color in system tray: Specifies which color is used to draw the background circle of the tray icon showing the number of messages.

Advanced options:

Use UIDL when deleting messages: Specifies that the UIDL command is used to delete emails if this account uses the POP3 protocol. You should only disable this option if you experience problems when checking or deleting mail.

Use custom AutoCheck timer interval: Specifies that a custom AutoCheck timer interval is used for this account. Note that this option is only effective if the option "Enable custom AutoCheck interval per account" is enabled on the AutoCheck tab of the options dialog.

Server Timeouts: Specifies how long to wait if the server does not respond.

Load all emails completely: Specifies that all emails are downloaded completely regardless of their size.

Retrieve header and XXX lines of message body: Specifies that all emails are downloaded partially (only the header and the first XXX lines are retrieved).

Load small emails completely: Specifies that all emails that are smaller than the given size are loaded completely, while bigger emails are downloaded partially (only the header and the given number of lines are retrieved).

After providing all necessary information, press OK to return to the previous dialog. If you have got more than just one account, you can add them now. When you are ready, press the Close button.


Arrange Account Tabs

By default, for each email account there is exactly one corresponding tab in the PopMan main window (if the multi-tab view is enabled). For example, the following screenshot shows a configuration with three accounts, each of which has a separate tab:

If you have several accounts, it might be useful to group the accounts according to their meaning or importance, e.g. you want to have one tab for your business mail accounts and a second tab for your private accounts. You can achieve this by joining several accounts to one tab using the context menu of the tab. For example, if we want to have a single tab with the two accounts "CH-Software" and "Forum", we have to right-click on the first tab and choose the Join with tab > Forum item of the context menu (another way to do it: left-click the Forum tab while holding the Ctrl key):

Now you only have two tabs. The first one corresponds to the two mail accounts "CH-Software" and "Forum". The caption of a tab can be changed using the Rename context menu item. You can see which accounts are associated to a certain tab by moving the mouse cursor over the tab and wait until a tooltip appears:

Note that you can split the accounts of a tab with the help of the context menu item Separate account. In this case, a new tab is created for the selected account.


List Emails

In the main window's menu choose File | Update or the corresponding button on the toolbar.

PopMan then connects to the incoming mail server that you specified during account setup and starts loading emails (by default, only the header and the first 300 lines of the message body are retrieved).

In the left pane of the statusbar the current operation is displayed (Connecting, Login, Loading, ...). If something goes wrong (password denied, connection failure, ...), an appropriate error message is displayed in the rigth pane of the status bar:

If there is not enough space to display the entire error message, you can easily make it visible: Move the mouse cursor into the area and wait a short moment until a tooltip appears.

The emails are loaded one by one and are displayed in the main window's listview.


Open Emails

When the first email has been loaded, you can also view its content in the message window. To do so, double-click the email in the main window's listview or choose the menu command File | Open...

The message window appears, which is similar to the corresponding window of Outlook Express:

In the head of this window, some important information (Sender, To, Date and Subject) are displayed. In the right pane of the statusbar you can see the name of the account this message belongs to.

Be aware of the fact, that all formattings and pictures of HTML messages are not displayed! Just plain text and links are extracted from the messages. If you move the mouse cursor over a link, a tooltip appears that shows the link target (see screenshot above).

Note that attachments of messages, which are not loaded completely, may not be displayed.


Delete unwanted Emails

When all emails have been loaded, you can delete one or more emails directly from the server. Select the emails that you want to delete in the main window's listview and press the Del keyboard button or choose the menu command File | Delete.

By default, the message is only marked for deletion (displayed in strikethrough font) and moved to the Trash tab. You can unmark a message in the Trash tab using the context menu or by pressing the Ins key. If you finally want to delete all marked messages permanently from the mail server, you have to click the Empty Trash button in the toolbar or press F12.

If you want to delete a message immediately without first moving it to the Trash tab, just hold the Shift key while deleting the message. You can change the default behaviour and always immediately delete messages by disabling the option "Delete command marks messages for deletion" on the General tab of the options dialog.

Warning: The deletion of emails is permanent and irreversible! If you've deleted a message by accident then have a look at the log file "PopManLogFile.log". This file contains a one-line entry for every retrieved mail.


Define Rules

You can define rules to automatically process incoming emails according to your criteria (e.g. if message contains suspicious words, mark the email for delete and surpress notification).

The rules file (Menu: Tools > Rules...) can have as many rules as you want. Rules are separarted by a blank line.

A rule has a very simple structure as you can see in the following example:

Subject contains "Spam" -> MarkForDelete

The first part describes where the rule is searching. It can be the name of any header entry, e.g. Subject, From, To, CC, ... or it's one of the following values:

Mail - The raw source of the entire mail.
Header - The raw header of the mail source.
Message - The extracted message body text shown in the preview pane and message window.
HTML - The raw HTML content of the message.

The second part defines how to search. Possible values:

contains - The text must be found anywhere in the where part.
equals - The text must be identical to the where part.
begins with - The text must be found at the beginning of the where part.
ends with - The text must be found at the end of the where part.

The third part defines what to search for. It can be a simple string or a set of strings:

Message contains "str1" -> MarkForDelete
Message contains any of {"str1", "str2", "str3"} -> MarkForDelete
Message contains all of {"str1", "str2", "str3"} -> MarkForDelete
Message contains none of {"str1", "str2", "str3"} -> MarkForDelete

The last part describes the actions that have to be taken:

Read - Mark message as read.
NotNew - Message is not considered "new" (no notification).
MarkForDelete - The message is marked for delete.
Open("file") - Open the specified file, e.g. a program or document, if message is new.
Open("file", "params") - Open the specified file with the given command line parameters, if message is new.
PlaySound("filename.wav") - Play the specified sound file, if the message is new. A certain sound file will only be played once per check.
PlaySingleSound("filename.wav") - Play the specified sound file, if the message is new and no other sound has been played during the current check.
Delete - Delete message from server. Use with care!
Protect - Mark message as [PROTECTED], i.e. the message can not be deleted by accident.
PrependSubject("Text") - Add a text in front of the subject.
Color("FF0000") - Set the text color. The color is specified in RGB hexadecimal, e.g. "FF0000" for red.
Print - Print the message on the system default printer.

Note, that you can assign several actions to one rule:

Mail contains "Spam" -> Read, NotNew, MarkForDelete

You can logically combine several rules with And and Or:

Subject contains "PopMan" And From contains "Christian" -> PlaySound(..)

You can also negate a rule with not:

From not contains "Christian" -> NotNew

When you have finished the modification of the rule file, save it and PopMan will reload it on the next email check.

Other rules features:

- Test for emptyness

Subject is empty -> MarkForDelete

- Search for words instead of arbitrary strings with single quotes, e.g.

Message contains 'Huebner' -> ... will not apply if the message contains just the string chuebner@mail.com

- Search for regular expressions by prepending "regex:" to a string, e.g.

Message contains regex:"[Pp]+.?[Ii1]+.?[Ll1]+.?[lL1]+.?[sS\$]" -> ...

- Add attributes to a rule to specify the name or the relevant accounts:

[Name="Spam", Account="MyAccountName"]
Subject contains "bad word" -> ...

[Name="Spam", Account={"Account1", "Account2", "Account3"}]
Subject contains "bad word" -> ...

- Define strings and lists of strings that can be referenced by name, e.g.:

Message contains any of BADWORDS -> MarkForDelete, NotNew, Read

define list BADWORDS = {
"BadWord1",
"BadWord2",
Pills_RegEx }

define string Pills_RegEx = regex:"[Pp]+.?[Ii1]+.?[Ll1]+.?[lL1]+.?[sS\$]"

- Specify several "where parts" for one condition:

Subject or Message or From contains any of BADWORDS -> ...
Subject and Message and From contains none of GOODWORDS -> ...
Subject+Message+From contains any of BADWORDS -> ...

Think of the + to join (concatenate) strings, although it may be evaluated like OR or AND for efficiency, e.g.:
Subject+Message contains any of is evaluated like Subject or Message contains any of
Subject+Message contains none of is evaluated like Subject and Message contains none of
Subject+Message contains all of must be evaluated using string concatenation because there is no other logical equivalent

So you see it is simpler to just use + and not to bother with all the confusing ANDs and ORs!

When editing the rules file it is helpful to have some kind of syntax highlighting. You can find a user defined syntax file for the famous Notepad++ editor.

Example rules definition:

# The first rule with name "Spam":
[Name="Spam"]
Subject+Message+From+To contains any of BADWORDS OR Mail contains any of BAD_MAILSOURCE_CONTENTS AND
Subject+Message+From+To contains none of GOODWORDS
-> MarkForDelete, NotNew, Read

# Definition of a list of strings called "GOODWORDS":
define list GOODWORDS = {
'Christian',
'Hübner',
'Huebner',
'PopMan' }

define list BAD_MAILSOURCE_CONTENTS = {
VirusAttachment_RegEx  # Regular Expression to find attachments with certain endings (defined below)
}

define list BADWORDS = {
'Viagra',  # Use single quotes for word search
"Casino",  # Use double quotes for unrestricted search
'Cialis',
'Levitra',
'Pharmacy',
'pills',
Pills_RegEx,
Viagra_RegEx,
Cialis_RegEx  }

# A regular expression string is defined by prepending "regex:" before a "normal" string:
define string Viagra_RegEx = regex:"[Vv]+.?[Ii1]+.?[aA@]+.?[gG]+.?[rR]+.?[aA@]"

define string Cialis_RegEx = regex:"[Cc]+.?[Ii1]+.?[aA@]+.?[lL1]+.?[Ii1]+.?[sS\$]"

define string Pills_RegEx = regex:"[Pp]+.?[Ii1]+.?[Ll1]+.?[lL1]+.?[sS\$]"

define string VirusAttachment_RegEx = regex:"\<filename=[=\-\?\~"\.\w]+\.(pif|PIF|scr|SCR|com|COM|vbs|VBS|bat|BAT|exe|EXE|cmd|CMD|lnk|LNK|js|JS|vxd|VXD)\W"


Save Emails

You can download emails completely and save them into a file (*.eml or *.txt).

Select the email in the main window's listview and choose the menu command File | Save As... or the corresponding button on the toolbar. The "Save As..." dialog appears, where you have to specify directory and filename.

But you can also save several emails at once. In this case the following dialog appears, where you have to specify the destination folder, the save format and a template for the file names (a combination of Subject, Date, Time, To and From):

If the email(s) is not complete yet (because it is too big), it has to be downloaded now. A dialog is displayed providing information of the downloading progress:

Be aware of the fact, that you need an email program like Outlook Express to open emails saved in the Eml format (*.eml).


Main Window

Menu commands and toolbar buttons:

File menu

Button | Menu command | Description
 | Accounts... | Shows the accounts dialog.
 | Update | Updates the list of emails.
 | Cancel | Cancels current operation.
 | Open... | Shows the content of the email.
 | Source... | Shows the source code of the email.
 | Save As... | Saves the selected email into a file.
 | Reply to sender | Creates a reply message to the sender.
 | Block sender | Adds the sender of the selected email to the Black List. All future emails of this sender are deleted automatically.
 | Delete | Deletes selected emails.
 | Delete Marked Emails | Deletes all emails that are marked for delete (empty trash).
 | Exit | Quits PopMan.

View menu

Menu command | Description
Toolbar | Shows or hides the toolbar.
Statusbar | Shows or hides the statusbar.
Hide Marked Messages | Hides messages that are marked for delete. This option has no meaning if 'Move Marked Messages to Trash Tab' is enabled.
Move Marked Messages to Trash Tab | Move all messages that are marked for delete to a separate "Trash" tab.
Tab View | Enables the Tab view (separate tabs are displayed for all email accounts or groups of email accounts).

Tools menu

Button | Menu command | Description
 | Font... | Changes the font of the listview.
 | Font color... | Changes the font color of the listview.
 | Themes | Shows a submenu with all available themes that can be used to change the appearance of PopMan (toolbar buttons, icons and cursors). For each theme there is a separate folder in the Themes subfolder that contains the custom toolbar bitmaps and all icons and cursors.
 | Launch Email Client | Launches the configured email client.
 | Import accounts... | Imports email accounts from Outlook Express.
 | White List... | Shows a dialog to edit the list of trusted senders. Emails of trusted senders can not be deleted by the Rules feature.
 | Black List... | Shows a dialog to edit the list of blocked senders. Emails of blocked senders are automatically deleted.
 | Rules... | Opens the Rules file that defines all Rules that are applied to incoming messages. They can be used to automatically delete spam or play a special sound for emails of your friends.
 | Add Item To Rules List... | Shows a dialog that allows to add a string to a Rules list (e.g. list of bad words or list of good words).
 | Options | Changes program settings.

Help menu

Menu command | Description
Help Topics... | Shows this Help.
Check for updates | Checks if a new version is available.
About PopMan... | Displays program information, version number and copyright.


Message Window

Message window menu commands:

File menu

Menu command | Description
Save As... | Saves the email into a file.
Print... | Prints this email.
Source... | Shows a dialog with the raw source code of the email.
Reply To Sender | Creates a reply message to the sender.
Delete | Deletes this email.
Close | Closes the message window.

Edit menu

Menu command | Description
Copy | Copys the selection and puts it on the clipboard.
Find... | Finds the specified text.
Find Next | Finds the next occurence of the specified text.
Select All | Selects the entire email.

Tools menu

Menu command | Description
Font... | Changes the font.
Font Color... | Changes the font color.
Add Item To Rules List... | Shows a dialog that allows to add a string to a Rules list (e.g. list of bad words or list of good words).


Keyboard Shortcuts

Main Window:

Press this | To do this
F1 | Show help file
F5 | Update email listing (check for new mail)
Esc | Cancel the current operation
Shift+Esc | Hides PopMan main window to tray
F8 | Mark selected emails as seen (read) on server (for IMAP4 accounts only)
F9 | Add item to Rules list
F10 | Show the source of the current email
F12 | Delete marked emails (empty "trash")
Ctrl+M | Toggle TabView
Ctrl+O | Open selected email
Ctrl+S | Save selected email to file
Ctrl+R | Reply to sender
Ctrl+E | Launch email client
Del | Delete selected email(s)

Message Window:

Press this | To do this
Ctrl+S | Save current email to file
Ctrl+R | Reply to sender
Ctrl+P | Print current email
Esc | Close message window
Ctrl+F | Find specified text
F3 | Find next occurence of the specified text
F9 | Add item to Rules list
F10 | Show the source of the email
Ctrl+A | Selects the entire email
Ctrl+C | Copy selection and puts it on the clipboard


General

Use dial-up networking:

Specifies whether a dial-up connection is used to access the Internet or not.
Do not deactivate this option unless there are problems while establishing connections.

Launch PopMan on Windows startup:

Specifies whether to launch PopMan immediately after Windows startup.

Check for new mail on startup:

Specifies whether to check for new emails immediately after PopMan startup. In the text box below, you can specify how many seconds after startup the checking begins.

Enable password protection:

Specifies whether you have to enter a password each time PopMan is launched or not.

X button hides to tray:

Enable this option to hide PopMan to tray when closing the main window. PopMan will continue to run in the background checking for mail at regular intervals. You can still quit PopMan by choosing the appropriate menu item of the tray icon's context menu.

Min button hides to tray:

Enable this option to hide PopMan to tray when minimizing the main window.

Delete command marks messages for deletion:

When this option is set, deleting a message only marks that message (displayed in strikethrough font). Marked messages can finally be deleted by pressing the "Empty Trash" button (F12).

Delete confirmation in main window:

Specifies whether you will have to give a confirmation each time you delete emails in the main window.

Delete confirmation in preview pane and message window:

Specifies whether you will have to give a confirmation each time you delete emails in the preview pane or message window.


AutoCheck

Timer interval:

Specifies how often to check for new mail.

AutoCheck only while minimized:

Enable this option to avoid autochecking while PopMan is not minimized.

Don't check between:

Enable this option to avoid autochecking during a specified period of time.

Enable custom AutoCheck interval per account:

Enable this option to specify a different AutoCheck interval for individual accounts.


Notification

Notify when new mail arrives:

Always: You will be notified no matter if PopMan is minimized or not.
When AutoChecked or minimized: You will only be notified if PopMan is minimized or if PopMan is visible and an autocheck occurs.
Only when minimized: There will be no notification if the PopMan window is visible.

Acoustic notification:

Specifies whether an acoustic notification occurs when new mail arrives.
"Sound file" enables you to enter any WAV file that you want to hear in this case.

Show PopMan window:

Specifies whether the PopMan window is made visible when new mail arrives.

Show new mail tip:

Specifies whether a notification window will be displayed when new mail arrives. This window can show the sender and subject of new mail. The ballon tip option is only available on Win ME, Win NT 5.0 or better:

Flash keyboard light:

Enabled this option to make either the ScrollLock, NumLock or CapsLock keyboard light flash when new mail arrives.


Email Client

Email client:

Provides a list of all available email clients on your system.

When launching email client:

Specifies what action to take when the email client is launched by pressing the appropriate toolbar button:

Hide PopMan to tray: Close the main window. PopMan continous to run the background.

Quit PopMan: Terminate PopMan.

When replying:

Use temporary eml file: When replying to a message, an eml file is created in the temporary PopMan directory and the associated application (usually Outlook Express) is launched.

Use mailto: When replying, your default email client is launched creating a new message with appropriate sender and subject.

Use MAPI: Use the Messaging Application Programming Interface to reply to a message. Some email clients may require the option "Use HTML linebreaks in reply body" or "Enforce email address".

Launch email client with command line parameters: When replying to a message, the email client is started with the command line parameters specified in the text box below. You can use the strings [TO] and [SUBJECT] as placeholders for the email address and the subject, respectively.


View

Display unread messages in bold font:

Specifies whether unread messages in the main window's listview will be displayed using bold font or not. Messages will be displayed in normal font after they have been read.

Show preview pane:

Specifies whether a preview pane will be displayed below or beside the main window's listview or not.
Use the preview pane to quickly view a message without opening a separate window.


Tray Icon

Show number of messages in tray icon:

Show number of all messages: Show the number of all messages no matter if they have been read or not.
Show number of unread messages: Only the number of unread messages is considered (those messages which are usually displayed in bold font)
Show number of new messages: A message is considered "new" if it has been arrived after the last time the main window had been visible.

Rotate icon for each account:

Enable this option to display the number of messages separately for each account. In the text box below you can specify how long to wait until the next account's message number is displayed.

Show advanced account info:

Enable this option to get advanced information about the accounts' state. If an account has no messages, a white rectangle is displayed on the account's circle. If there is at least one message but no new or unread messages, a yellow rectangle is displayed on the circle:

There are 3 unread/new messages in this account
There is at least 1 message but there are no unread/new messages
There are no messages in this account

Enable HighColor icons in system tray:

Enable this option if you want to display high color icons in the system tray. Usually, there are only 16 standard colors that can be used to display icons in the system tray. This option is not available on Windows Me/XP/Vista which use high color icons by default.


Language

PopMan provides the ability to change the language dynamically at runtime, so the user can operate PopMan in his native language. Just choose one of the available languages in the list and the caption of all labels is changed immediately.

If you can't find your language in the list, have a look at the PopMan website to check whether a translation is available. If not, please consider translating PopMan yourself:
Just take the "Translation.lng" file in PopMan's "Languages" directory, rename it to your language name (the English name!) and translate all strings in this file. If you're done translating and want to share it, just mail it to me and I'll be grateful to publish it on the PopMan Website.


Mouse Actions

Tray Mouse Actions:

Specifies what action to take when left\right\middle\double clicking the tray icon.

Double click delay on click:

Specifies whether to wait a short moment when the tray icon is clicked to make sure that the user is not about to double click the tray icon. If you disable this option, a double click is considered as two different clicks.


Logging

Enable logging:

Specifies whether to record all data communication between PopMan and the email server. You can limit the maximum log file size in the text box below.

Only log compact mail info instead of entire data traffic:

If this option is set, each new mail appends one line to the log file containing information about the mail, e.g. account name, arrival time, subject and sender. The line also tells which rules applied to the mail and whether the sender's address is on the Whitelist or Blacklist.

Location of the log file:

The link provides the location of the log file PopManLogFile.log. If you encounter problems while using PopMan, mail the log file to me and I will try to track down the problem.

Enable logging of applied rules:

Specifies whether to log all applied rules (conditions and resulting actions) into a separate log file called RuleLogFile.log that is contained in the same folder as the PopManLogFile.log. You can limit the maximum log file size in the text box below.


Feedback

Feedback and Support

Web Site

For more information and late-breaking news, please visit the PopMan Web site at:

www.ch-software.de/popman

Reporting Bugs

If you experience an uncaught exception, General Protection Fault (GPF), or something you believe is a bug, please send email to:

chuebner@ch-software.de

Please describe the problem in as much detail as possible. In your email message, please include the following information:

  • PopMan's version number
  • The operating system and version
  • Description of your problem (as much information as possible to retrieve the problem)
  • Steps needed to reproduce the bug
  • Computer information (CPU type and speed, amount of memory installed...)
Feature Requests

If you have got some ideas for improvements, please let me know what features you would like to see in the next release of PopMan. You can email feature requests to:

chuebner@ch-software.de


System Requirements

To run PopMan, you need:

  • Microsoft® Windows® XP or better

  • Approximately 9 MB of free hard disk space


License

PopMan Copyright © 2002-2023 Christian Hübner

PopMan is licensed under the GPL:

            GNU GENERAL PUBLIC LICENSE
               Version 2, June 1991

 Copyright (C) 1989, 1991 Free Software Foundation, Inc.
                       59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 Everyone is permitted to copy and distribute verbatim copies
 of this license document, but changing it is not allowed.

                Preamble

  The licenses for most software are designed to take away your
freedom to share and change it.  By contrast, the GNU General Public
License is intended to guarantee your freedom to share and change free
software--to make sure the software is free for all its users.  This
General Public License applies to most of the Free Software
Foundation's software and to any other program whose authors commit to
using it.  (Some other Free Software Foundation software is covered by
the GNU Library General Public License instead.)  You can apply it to
your programs, too.

  When we speak of free software, we are referring to freedom, not
price.  Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it
in new free programs; and that you know you can do these things.

  To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the rights.
These restrictions translate to certain responsibilities for you if you
distribute copies of the software, or if you modify it.

  For example, if you distribute copies of such a program, whether
gratis or for a fee, you must give the recipients all the rights that
you have.  You must make sure that they, too, receive or can get the
source code.  And you must show them these terms so they know their
rights.

  We protect your rights with two steps: (1) copyright the software, and
(2) offer you this license which gives you legal permission to copy,
distribute and/or modify the software.

  Also, for each author's protection and ours, we want to make certain
that everyone understands that there is no warranty for this free
software.  If the software is modified by someone else and passed on, we
want its recipients to know that what they have is not the original, so
that any problems introduced by others will not reflect on the original
authors' reputations.

  Finally, any free program is threatened constantly by software
patents.  We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary.  To prevent this, we have made it clear that any
patent must be licensed for everyone's free use or not licensed at all.

  The precise terms and conditions for copying, distribution and
modification follow.

            GNU GENERAL PUBLIC LICENSE
   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

  0. This License applies to any program or other work which contains
a notice placed by the copyright holder saying it may be distributed
under the terms of this General Public License.  The "Program", below,
refers to any such program or work, and a "work based on the Program"
means either the Program or any derivative work under copyright law:
that is to say, a work containing the Program or a portion of it,
either verbatim or with modifications and/or translated into another
language.  (Hereinafter, translation is included without limitation in
the term "modification".)  Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope.  The act of
running the Program is not restricted, and the output from the Program
is covered only if its contents constitute a work based on the
Program (independent of having been made by running the Program).
Whether that is true depends on what the Program does.

  1. You may copy and distribute verbatim copies of the Program's
source code as you receive it, in any medium, provided that you
conspicuously and appropriately publish on each copy an appropriate
copyright notice and disclaimer of warranty; keep intact all the
notices that refer to this License and to the absence of any warranty;
and give any other recipients of the Program a copy of this License
along with the Program.

You may charge a fee for the physical act of transferring a copy, and
you may at your option offer warranty protection in exchange for a fee.

  2. You may modify your copy or copies of the Program or any portion
of it, thus forming a work based on the Program, and copy and
distribute such modifications or work under the terms of Section 1
above, provided that you also meet all of these conditions:

    a) You must cause the modified files to carry prominent notices
    stating that you changed the files and the date of any change.

    b) You must cause any work that you distribute or publish, that in
    whole or in part contains or is derived from the Program or any
    part thereof, to be licensed as a whole at no charge to all third
    parties under the terms of this License.

    c) If the modified program normally reads commands interactively
    when run, you must cause it, when started running for such
    interactive use in the most ordinary way, to print or display an
    announcement including an appropriate copyright notice and a
    notice that there is no warranty (or else, saying that you provide
    a warranty) and that users may redistribute the program under
    these conditions, and telling the user how to view a copy of this
    License.  (Exception: if the Program itself is interactive but
    does not normally print such an announcement, your work based on
    the Program is not required to print an announcement.)

These requirements apply to the modified work as a whole.  If
identifiable sections of that work are not derived from the Program,
and can be reasonably considered independent and separate works in
themselves, then this License, and its terms, do not apply to those
sections when you distribute them as separate works.  But when you
distribute the same sections as part of a whole which is a work based
on the Program, the distribution of the whole must be on the terms of
this License, whose permissions for other licensees extend to the
entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest
your rights to work written entirely by you; rather, the intent is to
exercise the right to control the distribution of derivative or
collective works based on the Program.

In addition, mere aggregation of another work not based on the Program
with the Program (or with a work based on the Program) on a volume of
a storage or distribution medium does not bring the other work under
the scope of this License.

  3. You may copy and distribute the Program (or a work based on it,
under Section 2) in object code or executable form under the terms of
Sections 1 and 2 above provided that you also do one of the following:

    a) Accompany it with the complete corresponding machine-readable
    source code, which must be distributed under the terms of Sections
    1 and 2 above on a medium customarily used for software interchange; or,

    b) Accompany it with a written offer, valid for at least three
    years, to give any third party, for a charge no more than your
    cost of physically performing source distribution, a complete
    machine-readable copy of the corresponding source code, to be
    distributed under the terms of Sections 1 and 2 above on a medium
    customarily used for software interchange; or,

    c) Accompany it with the information you received as to the offer
    to distribute corresponding source code.  (This alternative is
    allowed only for noncommercial distribution and only if you
    received the program in object code or executable form with such
    an offer, in accord with Subsection b above.)

The source code for a work means the preferred form of the work for
making modifications to it.  For an executable work, complete source
code means all the source code for all modules it contains, plus any
associated interface definition files, plus the scripts used to
control compilation and installation of the executable.  However, as a
special exception, the source code distributed need not include
anything that is normally distributed (in either source or binary
form) with the major components (compiler, kernel, and so on) of the
operating system on which the executable runs, unless that component
itself accompanies the executable.

If distribution of executable or object code is made by offering
access to copy from a designated place, then offering equivalent
access to copy the source code from the same place counts as
distribution of the source code, even though third parties are not
compelled to copy the source along with the object code.

  4. You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License.  Any attempt
otherwise to copy, modify, sublicense or distribute the Program is
void, and will automatically terminate your rights under this License.
However, parties who have received copies, or rights, from you under
this License will not have their licenses terminated so long as such
parties remain in full compliance.

  5. You are not required to accept this License, since you have not
signed it.  However, nothing else grants you permission to modify or
distribute the Program or its derivative works.  These actions are
prohibited by law if you do not accept this License.  Therefore, by
modifying or distributing the Program (or any work based on the
Program), you indicate your acceptance of this License to do so, and
all its terms and conditions for copying, distributing or modifying
the Program or works based on it.

  6. Each time you redistribute the Program (or any work based on the
Program), the recipient automatically receives a license from the
original licensor to copy, distribute or modify the Program subject to
these terms and conditions.  You may not impose any further
restrictions on the recipients' exercise of the rights granted herein.
You are not responsible for enforcing compliance by third parties to
this License.

  7. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License.  If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Program at all.  For example, if a patent
license would not permit royalty-free redistribution of the Program by
all those who receive copies directly or indirectly through you, then
the only way you could satisfy both it and this License would be to
refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under
any particular circumstance, the balance of the section is intended to
apply and the section as a whole is intended to apply in other
circumstances.

It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any
such claims; this section has the sole purpose of protecting the
integrity of the free software distribution system, which is
implemented by public license practices.  Many people have made
generous contributions to the wide range of software distributed
through that system in reliance on consistent application of that
system; it is up to the author/donor to decide if he or she is willing
to distribute software through any other system and a licensee cannot
impose that choice.

This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.

  8. If the distribution and/or use of the Program is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Program under this License
may add an explicit geographical distribution limitation excluding
those countries, so that distribution is permitted only in or among
countries not thus excluded.  In such case, this License incorporates
the limitation as if written in the body of this License.

  9. The Free Software Foundation may publish revised and/or new versions
of the General Public License from time to time.  Such new versions will
be similar in spirit to the present version, but may differ in detail to
address new problems or concerns.

Each version is given a distinguishing version number.  If the Program
specifies a version number of this License which applies to it and "any
later version", you have the option of following the terms and conditions
either of that version or of any later version published by the Free
Software Foundation.  If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.

  10. If you wish to incorporate parts of the Program into other free
programs whose distribution conditions are different, write to the author
to ask for permission.  For software which is copyrighted by the Free
Software Foundation, write to the Free Software Foundation; we sometimes
make exceptions for this.  Our decision will be guided by the two goals
of preserving the free status of all derivatives of our free software and
of promoting the sharing and reuse of software generally.

                NO WARRANTY

  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
REPAIR OR CORRECTION.

  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.

             END OF TERMS AND CONDITIONS